from django.db import models
from django.utils.translation import ugettext_lazy as _
from cms.models.pluginmodel import CMSPlugin
from django.conf import settings


class ScriptSettings(CMSPlugin):

    snippet = models.TextField(_('Script snippet'), default="<script>...put your code here...</script>")
    template_name = models.CharField(max_length=100, choices=settings.SCRIPT_CMSPLUGIN_TEMPLATES,
                    default="cms_plugins/script.html", editable=len(settings.SCRIPT_CMSPLUGIN_TEMPLATES) > 1)


    def __unicode__(self):
        return self.snippet

    class Meta:
        app_label = "script"
        #verbose_name = _("Google Analytics")